EXTRACT_FILES(8)

NAME
extract_files, list_files - extract/list files from a release media

SYNOPSIS
/usr/etc/install/extract_files devname category [ -a arch ] [ -r release ] [ -f file ... ]

/usr/etc/install/list_files devname category [ -a arch ] [ -r release ]

DESCRIPTION
Given the name of a category, and optionally, a file (or a list of files) and/or a kernel architecture type, extract_files extracts all files contained in category from devname, or optionally extracts selected file(s) from files in category from devname. Note: extract_files does not pre-compute the disk size that needs to hold the extracted data.

list_files performs the same function as extract_files except that files are not extracted, instead, they are listed as contents of a given category.

The -a and -r options are provided for CD devices, which can contain multiple releases for multiple architecture types. Users normally do not need to specify these values, they default to the current running system.

devname is the media name on which files are kept. Examples are st, sr, mt... etc.

category is a suninstall category name which can be found by running /usr/etc/install/toc_xlat.

OPTIONS

-a arch
    Specify the kernel architecture type such as sun4, sun4c, ... etc. Defaults to the current system's kernel architecture.

-r release
    Specify a software release such as 4_1, 4_1_1, .... etc. Defaults to the current system's software release.

-f file
    Specify a file or a list of file to extract.

EXAMPLES

The following examples show some common uses of extract_files and list_files.

    example# cd /usr
    example# /usr/etc/install/extract_files st0 Text -f ./bin/addbib ./bin/eqn

Extracts from tape device st0 the files ./bin/addbib and ./bin/eqn from the category Text.

    example# cd /usr
    example# /usr/etc/install/extract_files st0 Text -f ./bin/checkeq

Extracts from tape device st0 the file ./bin/checkeq from the category Text.

    example# /usr/etc/install/list_files sr0 Text -a sun4c

Lists all files in category Text of sun4c kernel architecture type from CD device sr0.

    example# /usr/etc/install/list_files sr0 TLI -a sun4c -r 4_1_1

Lists all files in category TLI of sun4c kernel architecture type from CD device sr0, under the 4_1_1 software release.

BUGS
extract_files and list_files do not support floppy disc device.